> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Room Images > Retrieves the images of a room that you are a member of. ## OpenAPI ````json GET /api/v1/rooms.images { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.images": { "get": { "tags": [ "Rooms" ], "summary": "Get Room Images", "description": "Retrieves the images of a room that you are a member of.", "operationId": "get-api-v1-rooms.images", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "roomId", "in": "query", "description": "The room ID.", "schema": { "type": "string", "example": "6630e42b72f069422b1022c1" }, "example": "654c9d1ca2f73c7460e1918b", "required": true }, { "schema": { "type": "string" }, "example": "666fdecb4ac1a8e6404ededd", "in": "query", "name": "startingFromId", "description": "Filter images using the file ID.", "allowEmptyValue": true }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "files": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "size": { "type": "integer" }, "type": { "type": "string" }, "rid": { "type": "string" }, "userId": { "type": "string" }, "store": { "type": "string" }, "_updatedAt": { "type": "string" }, "identify": { "type": "object", "properties": { "format": { "type": "string" }, "size": { "type": "object", "properties": { "width": { "type": "integer" }, "height": { "type": "integer" } } } } }, "complete": { "type": "boolean" }, "etag": { "type": "string" }, "path": { "type": "string" }, "progress": { "type": "integer" }, "token": { "type": "string" }, "uploadedAt": { "type": "string" }, "uploading": { "type": "boolean" }, "url": { "type": "string" }, "typeGroup": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "files": [ { "_id": "666fdecb4ac1a8e6404ededd", "name": "oauth-screen.png", "size": 78441, "type": "image/png", "rid": "6630e42b72f069422b1022c1", "userId": "yuT9xp9eEd6HqB3n8", "store": "GridFS:Uploads", "_updatedAt": "2024-06-17T06:59:23.608Z", "identify": { "format": "png", "size": { "width": 1580, "height": 884 } }, "complete": true, "etag": "yvaG9cjz6YRRdMg4L", "path": "/file-upload/666fdecb4ac1a8e6404ededd/oauth-screen.png", "progress": 1, "token": "1888eA0A0B", "uploadedAt": "2024-06-17T06:59:23.602Z", "uploading": false, "url": "https://pro.writing-demo.dev.rocket.chat/file-upload/666fdecb4ac1a8e6404ededd/oauth-screen.png", "typeGroup": "image" }, { "_id": "666fddea4ac1a8e6404eded7", "name": "11.jpg", "size": 83832, "type": "image/jpeg", "rid": "6630e42b72f069422b1022c1", "userId": "yuT9xp9eEd6HqB3n8", "store": "GridFS:Uploads", "_updatedAt": "2024-06-17T06:55:38.044Z", "identify": { "format": "jpeg", "size": { "width": 839, "height": 932 } }, "complete": true, "etag": "3jZf7SJZFCPpf9JK8", "path": "/file-upload/666fddea4ac1a8e6404eded7/11.jpg", "progress": 1, "token": "498bb849C8", "uploadedAt": "2024-06-17T06:55:38.029Z", "uploading": false, "url": "https://pro.writing-demo.dev.rocket.chat/file-upload/666fddea4ac1a8e6404eded7/11.jpg", "typeGroup": "image" } ], "count": 50, "offset": 0, "total": 2, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Invalid Params": { "value": { "success": false, "error": "must have required property 'roomId' [error-invalid-params]", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````